import { FireEnjinFetchEvent } from "@fireenjin/sdk";
import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { Totaller } from "../../../sdk";
export declare class TotallerCards implements ComponentInterface {
  fireenjinFetch: EventEmitter<FireEnjinFetchEvent>;
  totallerId: string;
  totals: {
    [sumName: string]: any;
  };
  totaller: Totaller;
  onSuccess(event: any): Promise<void>;
  formatValue(value: number, sum: any): string | number;
  fetchTotaller(): Promise<void>;
  componentDidLoad(): Promise<void>;
  render(): any;
}
